<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="CTalk"
	ProjectGUID="{73EAA586-10CA-4977-8807-B4231EF5502E}"
	RootNamespace="CTalk"
	Keyword="Win32Proj"
	TargetFrameworkVersion="196613"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="."
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="2"
				PrecompiledHeaderThrough="precomp.h"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(SolutionDir)$(PlatformName)\$(ConfigurationName)"
			IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="."
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="2"
				PrecompiledHeaderThrough="precomp.h"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="2"
				TargetMachine="17"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				AdditionalIncludeDirectories="."
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				PrecompiledHeaderThrough="precomp.h"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(PlatformName)\$(ConfigurationName)"
			IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				AdditionalIncludeDirectories="."
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				PrecompiledHeaderThrough="precomp.h"
				WarningLevel="3"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="17"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Document"
			>
			<File
				RelativePath=".\Document\command.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\command.h"
				>
			</File>
			<File
				RelativePath=".\Document\document.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\document.h"
				>
			</File>
			<File
				RelativePath=".\Document\irc_connection.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\irc_connection.h"
				>
			</File>
			<File
				RelativePath=".\Document\irc_connection_queues.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\irc_connection_queues.h"
				>
			</File>
			<File
				RelativePath=".\Document\irc_entity.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\irc_entity.h"
				>
			</File>
			<File
				RelativePath=".\Document\irc_message.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\irc_message.h"
				>
			</File>
			<File
				RelativePath=".\Document\irc_raw_string.h"
				>
			</File>
			<File
				RelativePath=".\Document\irc_session.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\irc_session.h"
				>
			</File>
			<File
				RelativePath=".\Document\irc_text.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\irc_text.h"
				>
			</File>
			<File
				RelativePath=".\Document\xml_settings.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\xml_settings.h"
				>
			</File>
			<File
				RelativePath=".\Document\xml_settings_document.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\xml_settings_document.h"
				>
			</File>
			<File
				RelativePath=".\Document\xml_settings_list.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\xml_settings_list.h"
				>
			</File>
			<File
				RelativePath=".\Document\xml_settings_map.cpp"
				>
			</File>
			<File
				RelativePath=".\Document\xml_settings_map.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Framework"
			>
			<File
				RelativePath=".\Framework\application.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\application.h"
				>
			</File>
			<File
				RelativePath=".\Framework\crash_reporter.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\crash_reporter.h"
				>
			</File>
			<File
				RelativePath=".\Framework\detect_hang.h"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex.h"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex_document.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex_document.h"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex_icon_mode.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex_icon_mode.h"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex_mode.h"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex_report_mode.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\listview_ex_report_mode.h"
				>
			</File>
			<File
				RelativePath=".\Framework\mainframe.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\mainframe.h"
				>
			</File>
			<File
				RelativePath=".\Framework\notification_area_icon.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\notification_area_icon.h"
				>
			</File>
			<File
				RelativePath=".\Framework\preferences_page.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\preferences_page.h"
				>
			</File>
			<File
				RelativePath=".\Framework\preferences_viewer.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\preferences_viewer.h"
				>
			</File>
			<File
				RelativePath=".\Framework\ribbon.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\ribbon.h"
				>
			</File>
			<File
				RelativePath=".\Framework\view.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\view.h"
				>
			</File>
			<File
				RelativePath=".\Framework\view_workspace.cpp"
				>
			</File>
			<File
				RelativePath=".\Framework\view_workspace.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Views"
			>
			<Filter
				Name="Chat"
				>
				<File
					RelativePath=".\Views\Chat\channel_topic.cpp"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\channel_topic.h"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\chat.cpp"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\chat.h"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\chatline.h"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\chaturl.h"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\chatview.cpp"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\chatview.h"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\dlg_topic.cpp"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\dlg_topic.h"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\text_edit.cpp"
					>
				</File>
				<File
					RelativePath=".\Views\Chat\text_edit.h"
					>
				</File>
			</Filter>
			<Filter
				Name="ServerList"
				>
				<File
					RelativePath=".\Views\ServerList\server_general_page.cpp"
					>
				</File>
				<File
					RelativePath=".\Views\ServerList\server_general_page.h"
					>
				</File>
				<File
					RelativePath=".\Views\ServerList\server_list_view.cpp"
					>
				</File>
				<File
					RelativePath=".\Views\ServerList\server_list_view.h"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Resources"
			>
			<File
				RelativePath=".\carambola.ico"
				>
			</File>
			<File
				RelativePath=".\CTalk.rc"
				>
			</File>
			<File
				RelativePath=".\resource.h"
				>
			</File>
			<File
				RelativePath=".\resources.xml"
				>
			</File>
			<File
				RelativePath=".\theme.css"
				>
			</File>
			<Filter
				Name="GUI"
				>
				<File
					RelativePath=".\dlg_topic.gui"
					>
				</File>
				<File
					RelativePath=".\server_general_page.gui"
					>
				</File>
			</Filter>
		</Filter>
		<File
			RelativePath=".\precomp.cpp"
			>
			<FileConfiguration
				Name="Debug|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					UsePrecompiledHeader="1"
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Debug|x64"
				>
				<Tool
					Name="VCCLCompilerTool"
					UsePrecompiledHeader="1"
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Release|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					UsePrecompiledHeader="1"
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Release|x64"
				>
				<Tool
					Name="VCCLCompilerTool"
					UsePrecompiledHeader="1"
				/>
			</FileConfiguration>
		</File>
		<File
			RelativePath=".\precomp.h"
			>
		</File>
		<File
			RelativePath=".\README.txt"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
